---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: nextcloud-maintanence-mode-off
  namespace: nextcloud
spec:
  # daily at 10:45 PM UTC
  schedule: "45 22 * * *"
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: OnFailure
          volumes:
            - name: nextcloud-main
              persistentVolumeClaim:
                claimName: nextcloud-files
            - configMap:
                defaultMode: 420
                name: nextcloud-web-app-config
              name: nextcloud-config
            - configMap:
                defaultMode: 420
                name: nextcloud-web-app-nginxconfig
              name: nextcloud-nginx-config
          containers:
            - name: nextcloud
              image: nextcloud:25.0.2-fpm
              imagePullPolicy: IfNotPresent
              command:
                - /bin/bash
                - -c
                - su -s /bin/bash www-data -c "php occ maintenance:mode --off"
              volumeMounts:
                - mountPath: /var/www/
                  name: nextcloud-main
                  subPath: root
                - mountPath: /var/www/html
                  name: nextcloud-main
                  subPath: html
                # only needed if you have a seperate data dir for nextcloud
                # - mountPath: /var/www/html/data
                #   name: nextcloud-data
                #   subPath: data
                - mountPath: /var/www/html/config
                  name: nextcloud-main
                  subPath: config
                - mountPath: /var/www/html/custom_apps
                  name: nextcloud-main
                  subPath: custom_apps
                - mountPath: /var/www/tmp
                  name: nextcloud-main
                  subPath: tmp
                - mountPath: /var/www/html/themes
                  name: nextcloud-main
                  subPath: themes
                - mountPath: /var/www/html/config/logging.config.php
                  name: nextcloud-config
                  subPath: logging.config.php
                - mountPath: /var/www/html/config/proxy.config.php
                  name: nextcloud-config
                  subPath: proxy.config.php
                - mountPath: /var/www/html/config/.htaccess
                  name: nextcloud-config
                  subPath: .htaccess
                - mountPath: /var/www/html/config/apache-pretty-urls.config.php
                  name: nextcloud-config
                  subPath: apache-pretty-urls.config.php
                - mountPath: /var/www/html/config/apcu.config.php
                  name: nextcloud-config
                  subPath: apcu.config.php
                - mountPath: /var/www/html/config/apps.config.php
                  name: nextcloud-config
                  subPath: apps.config.php
                - mountPath: /var/www/html/config/autoconfig.php
                  name: nextcloud-config
                  subPath: autoconfig.php
                - mountPath: /var/www/html/config/redis.config.php
                  name: nextcloud-config
                  subPath: redis.config.php
                - mountPath: /var/www/html/config/smtp.config.php
                  name: nextcloud-config
                  subPath: smtp.config.php
              env:
                - name: POSTGRES_HOST
                  value: nextcloud-web-app-postgresql
                - name: POSTGRES_DB
                  value: nextcloud
                - name: POSTGRES_USER
                  valueFrom:
                    secretKeyRef:
                      key: username
                      name: nextcloud-pgsql-credentials
                - name: POSTGRES_PASSWORD
                  valueFrom:
                    secretKeyRef:
                      key: nextcloudPassword
                      name: nextcloud-pgsql-credentials
                - name: NEXTCLOUD_ADMIN_USER
                  valueFrom:
                    secretKeyRef:
                      key: username
                      name: nextcloud-admin-credentials
                - name: NEXTCLOUD_ADMIN_PASSWORD
                  valueFrom:
                    secretKeyRef:
                      key: password
                      name: nextcloud-admin-credentials
                - name: NEXTCLOUD_TRUSTED_DOMAINS
                  value: cloud.vleermuis.tech
                - name: NEXTCLOUD_DATA_DIR
                  value: /var/www/html/data
                - name: REDIS_HOST
                  value: nextcloud-web-app-redis-master
                - name: REDIS_HOST_PORT
                  value: "6379"
                - name: REDIS_HOST_PASSWORD
                  valueFrom:
                    secretKeyRef:
                      key: redis_password
                      name: nextcloud-redis-credentials
